# - Try to find OsmGpsMap
# Once done this will define
#  OSMGPSMAP_FOUND - System has OsmGpsMap
#  OSMGPSMAP_INCLUDE_DIRS - The OsmGpsMap include directories
#  OSMGPSMAP_LIBRARIES - The libraries needed to use OsmGpsMap
#  OSMGPSMAP_DEFINITIONS - Compiler switches required for using OsmGpsMap

find_package(PkgConfig)
pkg_check_modules(OSMGPSMAP QUIET osmgpsmap)
set(OSMGPSMAP_DEFINITIONS ${OSMGPSMAP_CFLAGS_OTHER})

find_path(OSMGPSMAP_INCLUDE_DIR osm-gps-map-source.h
          HINTS ${OSMGPSMAP_INCLUDEDIR} ${OSMGPSMAP_INCLUDE_DIRS}
          PATH_SUFFIXES osmgpsmap)

find_library(OSMGPSMAP_LIBRARY NAMES osmgpsmap
             HINTS ${OSMGPSMAP_LIBDIR} ${OSMGPSMAP_LIBRARY_DIRS} )

set(OSMGPSMAP_LIBRARIES ${OSMGPSMAP_LIBRARY} )
set(OSMGPSMAP_INCLUDE_DIRS ${OSMGPSMAP_INCLUDE_DIR} )

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set OSMGPSMAP_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(OsmGpsMap  DEFAULT_MSG
                                  OSMGPSMAP_LIBRARY OSMGPSMAP_INCLUDE_DIR)

mark_as_advanced(OSMGPSMAP_INCLUDE_DIR OSMGPSMAP_LIBRARY )
